SWFieldManagerInternal::FieldDateTime Struct Referencefinal

Internal: a fixed date time field. More...

Inheritance diagram for SWFieldManagerInternal::FieldDateTime:

## Public Member Functions

| FieldDateTime ()
| constructor
| FieldDateTime (Field const &orig)
| copy constructor
| ~FieldDateTime () final
| destructor
bool | send (STOFFListenerPtr &listener, StarState &state) const final
| add to send the zone data
void | print (std::ostream &o) const final
| print a field
Public Member Functions inherited from SWFieldManagerInternal::Field
| Field ()
| constructor
virtual | ~Field ()
| destructor

## Public Attributes

long | m_dateTime
| the dateTime
long | m_time
| the time
long | m_offset
| the offset
Public Attributes inherited from SWFieldManagerInternal::Field
int | m_type
| the field type
int | m_subType
| the subtype
int | m_format
| the field format
librevenge::RVNGString | m_name
| the name
librevenge::RVNGString | m_content
| the content
librevenge::RVNGString | m_textValue
| the value text
double | m_doubleValue
| double
int | m_level
| the chapter level

## Additional Inherited Members

Protected Member Functions inherited from SWFieldManagerInternal::Field
| Field (const Field &)=default
| copy constructor

## Detailed Description

Internal: a fixed date time field.

## Constructor & Destructor Documentation

## FieldDateTime() [1/2]

SWFieldManagerInternal::FieldDateTime::FieldDateTime | ( |  | ) |

inline

constructor

## FieldDateTime() [2/2]

SWFieldManagerInternal::FieldDateTime::FieldDateTime | ( | Field const & | orig | ) |

inline explicit

copy constructor

## ~FieldDateTime()

SWFieldManagerInternal::FieldDateTime::~FieldDateTime | ( |  | ) |

final

destructor

## Member Function Documentation

## print()

void SWFieldManagerInternal::FieldDateTime::print | ( | std::ostream & | o | ) | const

inline final virtual

print a field

Reimplemented from SWFieldManagerInternal::Field.

Referenced by print().

## send()

bool SWFieldManagerInternal::FieldDateTime::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state ) const

final virtual

add to send the zone data

Reimplemented from SWFieldManagerInternal::Field.

## Member Data Documentation

## m_dateTime

long SWFieldManagerInternal::FieldDateTime::m_dateTime

the dateTime

Referenced by FieldDateTime(), FieldDateTime(), print(), and send().

## m_offset

long SWFieldManagerInternal::FieldDateTime::m_offset

the offset

Referenced by FieldDateTime(), FieldDateTime(), and print().

## m_time

long SWFieldManagerInternal::FieldDateTime::m_time

the time

Referenced by FieldDateTime(), and FieldDateTime().

The documentation for this struct was generated from the following file:

- SWFieldManager.cxx